Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## kieker.webgui.common.exception
Class InvalidAnalysisStateException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              kieker.webgui.common.exception.AbstractKiekerWebGUIException
                  kieker.webgui.common.exception.InvalidAnalysisStateException

All Implemented Interfaces:
  Serializable

    public final class InvalidAnalysisStateException

extends AbstractKiekerWebGUIException

This exception can be thrown if the analysis is in an invalid state for the ordered operation.

Author:
  Nils Christian Ehmke
See Also:
  Serialized Form

Constructor Summary
`InvalidAnalysisStateException()` Creates a new instance of this exception without detail message or current analysis state.
`InvalidAnalysisStateException(String msg)` Creates a new instance of this class using the given detail message, but without current analysis state.
`InvalidAnalysisStateException(String msg, Throwable cause)` Creates a new instance of this class using the given detail message and cause, but without current analysis state.
`InvalidAnalysisStateException(String msg, Throwable cause, kieker.analysis.AnalysisController.STATE currentAnalysisState)` Creates a new instance of this class using the given detail message, cause, and current analysis state.

Method Summary
`kieker.analysis.AnalysisController.STATE` | `getState()`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### InvalidAnalysisStateException

    public InvalidAnalysisStateException()

  Creates a new instance of this exception without detail message or current analysis state. The cause is not initialized, but can later be initialized using `Throwable.initCause(java.lang.Throwable)`.

### InvalidAnalysisStateException

    public InvalidAnalysisStateException(String msg)

  Creates a new instance of this class using the given detail message, but without current analysis state. The cause is not initialized, but can later be initialized using `Throwable.initCause(java.lang.Throwable)`.

  Parameters:
    `msg` - The detail message of the exception.

### InvalidAnalysisStateException

    public InvalidAnalysisStateException(String msg,
                                         Throwable cause)

  Creates a new instance of this class using the given detail message and cause, but without current analysis state.

  Parameters:
    `msg` - The detail message of the exception.
    `cause` - The cause for the exception.

### InvalidAnalysisStateException

    public InvalidAnalysisStateException(String msg,
                                         Throwable cause,
                                         kieker.analysis.AnalysisController.STATE currentAnalysisState)

  Creates a new instance of this class using the given detail message, cause, and current analysis state.

  Parameters:
    `msg` - The detail message of the exception.
    `cause` - The cause for the exception.
    `currentAnalysisState` - The current analysis state.

Method Detail

### getState

    public kieker.analysis.AnalysisController.STATE getState()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2014. All rights reserved.